Qt 5.9 | Qt 3D | QML Types | AxisSetting QML Type

Qt 5.9.9 Reference Documentation

# AxisSetting QML Type

QML frontend for the Qt3DInput::QAxisSetting C++ class. More...

Import Statement: | import Qt3D.Input 2.0
Since: | Qt 5.5
Instantiates: | QAxisSetting

- List of all members, including inherited members

## Properties

- axes : list<int>
- axis : QVariantList
- deadZoneRadius : float
- smooth : bool

## Signals

- void axisChanged()
- void deadZoneRadiusChanged()
- void smoothChanged()

## Detailed Description

Stores settings for the specified list of Axis

## Property Documentation

axes : list<int>

axis : QVariantList

The current axis of the AxisSetting

deadZoneRadius : float

The current deadZone radius of the AxisSetting

smooth : bool

The current state of smoothing

## Signal Documentation

void axisChanged()

This signal is emitted when the axis associated with the axis setting is changed.

The corresponding handler is `onAxisChanged`

void deadZoneRadiusChanged()

This signal is emitted when the dead zone associated with the axis setting is changed.

The corresponding handler is `onDeadZoneRadiusChanged`

void smoothChanged()

This signal is emitted when the when the smoothing state is changed.

The corresponding handler is `onSmoothChanged`